<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Mmenu extends CI_Model
{

    public $table = 'ms_menu';
    public $id = 'id_inc';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
        $this->menu_db = $this->load->database('menu', true);
    }

    // get all
    function get_all()
    {
        $this->menu_db->order_by($this->id, $this->order);
        return $this->menu_db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->menu_db->where($this->id, $id);
        return $this->menu_db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->menu_db->like('id_inc', $q);
	$this->menu_db->or_like('nama_menu', $q);
	$this->menu_db->or_like('link_menu', $q);
	$this->menu_db->or_like('parent', $q);
	$this->menu_db->or_like('sort', $q);
	$this->menu_db->or_like('icon', $q);
	$this->menu_db->from($this->table);
        return $this->menu_db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->menu_db->order_by($this->id, $this->order);
        $this->menu_db->like('id_inc', $q);
	$this->menu_db->or_like('nama_menu', $q);
	$this->menu_db->or_like('link_menu', $q);
	$this->menu_db->or_like('parent', $q);
	$this->menu_db->or_like('sort', $q);
	$this->menu_db->or_like('icon', $q);
	$this->menu_db->limit($limit, $start);
        return $this->menu_db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
       return  $this->menu_db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->menu_db->where($this->id, $id);
        return   $this->menu_db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->menu_db->where($this->id, $id);
        return $this->menu_db->delete($this->table);
    }


    function parent(){
        return $this->menu_db->query("select * from ms_menu where parent =0")->result();
    }

}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2018-10-09 16:55:19 */
/* http://harviacode.com */